Extending Qt Creator Manual | Context

Extending Qt Creator Manual 4.5.2

# Context Class

(Core::Context)

- List of all members, including inherited members

## Public Types

typedef | const_iterator

## Public Functions

| Context()
| Context(Id c1)
| Context(Id c1, Id c2)
| Context(Id c1, Id c2, Id c3)
void | add(const Context &c)
void | add(Id c)
Id | at(int i) const
const_iterator | begin() const
bool | contains(Id c) const
const_iterator | end() const
int | indexOf(Id c) const
bool | isEmpty() const
void | prepend(Id c)
void | removeAt(int i)
int | size() const
bool | operator==(const Context &c) const

## Member Type Documentation

### typedef Context::const_iterator

## Member Function Documentation

### Context::Context()

Default constructs an instance of Context.

### Context::Context(Id c1)

Default constructs an instance of Context.

### Context::Context(Id c1, Id c2)

Default constructs an instance of Context.

### Context::Context(Id c1, Id c2, Id c3)

Default constructs an instance of Context.

### void Context::add(const Context &c)

### void Context::add(Id c)

### Id Context::at(int i) const

### const_iterator Context::begin() const

### bool Context::contains(Id c) const

### const_iterator Context::end() const

### int Context::indexOf(Id c) const

### bool Context::isEmpty() const

### void Context::prepend(Id c)

### void Context::removeAt(int i)

### int Context::size() const

### bool Context::operator==(const Context &c) const